const express = require('express')
const { examassigned, getallinfo, removesinglegrade, easubrequired, removeListing } = require('../controller/examassign')

const router = express.Router()

router.route('/create').post(examassigned)
router.route('/save/subrequired').post(easubrequired)
router.route('/').post(getallinfo);
// remove single grade Item with id.
router.route('/removesinglegrade/:id').delete(removesinglegrade)
// remove single listing
router.route('/removelisting/:assignedid/:examid/:classid/:departmentid/:subid/:subtype').delete(removeListing)

module.exports = router